Skip to main content

jdic0.9..5 on linux ---Browser error

1 reply [Last post]
Joined: 2008-07-30

OS: Redhat Linux el 4;
Mozilla : Firefox-
jdk: 1.5.0_16

Exception in thread "main" java.lang.UnsatisfiedLinkError: bin/linux/x86/
at java.lang.ClassLoader.loadLibrary(
at java.lang.Runtime.load0(
at java.lang.System.load(
at org.jdesktop.jdic.init.JdicManager$ Source)
at Method)
at org.jdesktop.jdic.init.JdicManager.loadLibrary(Unknown Source)
at org.jdesktop.jdic.browser.WebBrowser.(Unknown Source)
at Browser.jbInit(
at Browser.(
at Browser.main(

In the directory of bin/linux/x86, threre are , no
if I remove the prefix of "lib" of the "so" files, encount another error:
can't execute the native embedded browser. Error message: /tmp/jdic_0_9_5/mozembed-linux-gtk1.2: cannot execute

Thanks for your replying

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
Joined: 2008-08-05

Hi Calvin,

Well, I'm just starting with JDIC browser and I had the same issue with jdic-0.9.5 on Windows. I use the cross-platform .jar. The problem doesn't appear with jdic-0.9.4 cross-platform.

It seems that 0.9.5 release isn't correct.